Page MenuHomePhabricator

The dialog to save filters on Recent Changes needs adjustments to better communicate the initial status
Closed, ResolvedPublic

Description

Currently the dialog for saving a filter looks like this:

There are several aspects that can be improved:

  • The primary action should only be active when the name input field is not empty. Otherwise we provide an active action that cannot be used initially.
  • Adding a placeholder to the input field such as "Describe the purpose of the filters" can help to encourage good naming of the filters the user creates.
  • Adjusting the language to avoid "settings" (T167876) and the icon to use the filled bookmark one (T168828) are part of other tickets, but some of the changes may still be pending for the dialog so make suer to check.

A mockup is shown below and additional context i available in the original ticket (T164128):

Event Timeline

Pginer-WMF updated the task description. (Show Details)Jun 28 2017, 5:18 PM

Change 361909 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Correct display of save filter popup

https://gerrit.wikimedia.org/r/361909

Change 361909 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Correct display of save filter popup

https://gerrit.wikimedia.org/r/361909

Change 362268 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Followup I5e3600b1ac8e: Set actual value rather than object

https://gerrit.wikimedia.org/r/362268

Change 362268 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Followup I5cede87633147: Set actual value rather than object

https://gerrit.wikimedia.org/r/362268

Change 362308 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@wmf/1.30.0-wmf.7] RCFilters: Followup I5cede87633147: Set actual value rather than object

https://gerrit.wikimedia.org/r/362308

Etonkovidova added a subscriber: Etonkovidova.EditedJun 29 2017, 10:20 PM

Checked in betalabs

Adjusting the language to avoid "settings"

Everything else looks according to the mockup.

QA Recommendation: Resolve

Change 362308 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.7] RCFilters: Followup I5cede87633147: Set actual value rather than object

https://gerrit.wikimedia.org/r/362308

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-06-29T23:31:17Z] <catrope@tin> Synchronized php-1.30.0-wmf.7/resources/src/mediawiki.rcfilters/: RCFilters fixes (T169169, T169107, T169042) (duration: 00m 42s)

jmatazzoni closed this task as Resolved.Jul 12 2017, 11:39 PM